| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::tracking::online_boosting::BaseClassifier Class Reference

`#include <opencv2/tracking/onlineBoosting.hpp>`

Collaboration diagram for cv::detail::tracking::online_boosting::BaseClassifier:

## Public Member Functions
| BaseClassifier (int numWeakClassifier, int iterationInit)
| BaseClassifier (int numWeakClassifier, int iterationInit, WeakClassifierHaarFeature **weakCls)
virtual | ~BaseClassifier ()
int | computeReplaceWeakestClassifier (const std::vector< float > &errors)
int | eval (const Mat &image)
float | getError (int curWeakClassifier)
void | getErrors (float *errors)
int | getIdxOfNewWeakClassifier ()
WeakClassifierHaarFeature ** | getReferenceWeakClassifier ()
int | getSelectedClassifier () const
void | replaceClassifierStatistic (int sourceIndex, int targetIndex)
void | replaceWeakClassifier (int index)
int | selectBestClassifier (std::vector< bool > &errorMask, float importance, std::vector< float > &errors)
void | trainClassifier (const Mat &image, int target, float importance, std::vector< bool > &errorMask)

## Protected Member Functions
void | generateRandomClassifier ()

## Protected Attributes
int | m_idxOfNewWeakClassifier
int | m_iterationInit
int | m_numWeakClassifier
bool | m_referenceWeakClassifier
int | m_selectedClassifier
std::vector< float > | m_wCorrect
std::vector< float > | m_wWrong
WeakClassifierHaarFeature ** | weakClassifier

## Constructor & Destructor Documentation

## ◆ BaseClassifier() [1/2]

cv::detail::tracking::online_boosting::BaseClassifier::BaseClassifier | ( | int | numWeakClassifier,
|  | int | iterationInit )

## ◆ BaseClassifier() [2/2]

cv::detail::tracking::online_boosting::BaseClassifier::BaseClassifier | ( | int | numWeakClassifier,
|  | int | iterationInit,
|  | WeakClassifierHaarFeature ** | weakCls )

## ◆ ~BaseClassifier()

virtual cv::detail::tracking::online_boosting::BaseClassifier::~BaseClassifier | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ computeReplaceWeakestClassifier()

int cv::detail::tracking::online_boosting::BaseClassifier::computeReplaceWeakestClassifier | ( | const std::vector< float > & | errors | ) |

## ◆ eval()

int cv::detail::tracking::online_boosting::BaseClassifier::eval | ( | const Mat & | image | ) |

## ◆ generateRandomClassifier()

void cv::detail::tracking::online_boosting::BaseClassifier::generateRandomClassifier | ( |  | ) |
| protected

## ◆ getError()

float cv::detail::tracking::online_boosting::BaseClassifier::getError | ( | int | curWeakClassifier | ) |

## ◆ getErrors()

void cv::detail::tracking::online_boosting::BaseClassifier::getErrors | ( | float * | errors | ) |

## ◆ getIdxOfNewWeakClassifier()

int cv::detail::tracking::online_boosting::BaseClassifier::getIdxOfNewWeakClassifier | ( |  | ) |
| inline

## ◆ getReferenceWeakClassifier()

WeakClassifierHaarFeature ** cv::detail::tracking::online_boosting::BaseClassifier::getReferenceWeakClassifier | ( |  | ) |
| inline

## ◆ getSelectedClassifier()

int cv::detail::tracking::online_boosting::BaseClassifier::getSelectedClassifier | ( |  | ) | const

## ◆ replaceClassifierStatistic()

void cv::detail::tracking::online_boosting::BaseClassifier::replaceClassifierStatistic | ( | int | sourceIndex,
|  | int | targetIndex )

## ◆ replaceWeakClassifier()

void cv::detail::tracking::online_boosting::BaseClassifier::replaceWeakClassifier | ( | int | index | ) |

## ◆ selectBestClassifier()

int cv::detail::tracking::online_boosting::BaseClassifier::selectBestClassifier | ( | std::vector< bool > & | errorMask,
|  | float | importance,
|  | std::vector< float > & | errors )

## ◆ trainClassifier()

void cv::detail::tracking::online_boosting::BaseClassifier::trainClassifier | ( | const Mat & | image,
|  | int | target,
|  | float | importance,
|  | std::vector< bool > & | errorMask )

## Member Data Documentation

## ◆ m_idxOfNewWeakClassifier

int cv::detail::tracking::online_boosting::BaseClassifier::m_idxOfNewWeakClassifier
| protected

## ◆ m_iterationInit

int cv::detail::tracking::online_boosting::BaseClassifier::m_iterationInit
| protected

## ◆ m_numWeakClassifier

int cv::detail::tracking::online_boosting::BaseClassifier::m_numWeakClassifier
| protected

## ◆ m_referenceWeakClassifier

bool cv::detail::tracking::online_boosting::BaseClassifier::m_referenceWeakClassifier
| protected

## ◆ m_selectedClassifier

int cv::detail::tracking::online_boosting::BaseClassifier::m_selectedClassifier
| protected

## ◆ m_wCorrect

std::vector<float> cv::detail::tracking::online_boosting::BaseClassifier::m_wCorrect
| protected

## ◆ m_wWrong

std::vector<float> cv::detail::tracking::online_boosting::BaseClassifier::m_wWrong
| protected

## ◆ weakClassifier

WeakClassifierHaarFeature** cv::detail::tracking::online_boosting::BaseClassifier::weakClassifier
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/onlineBoosting.hpp